## com.sun.jersey.api.client.async
Interface ITypeListener<T>

Type Parameters:
  `T` - the type of the response.

All Superinterfaces:
  FutureListener<T>

All Known Implementing Classes:
  TypeListener

    public interface ITypeListener<T>

extends FutureListener<T>

A listener to be implemented by clients that wish to receive callback notification of the completion of requests invoked asynchronously.

Developers may wish to extend from the class `TypeListener` rather than implement this interface directly.

See Also:
  `TypeListener`

Method Summary
`GenericType<T>` | `getGenericType()` Get the generic type declaring the Java type of the instance to receive for `FutureListener.onComplete(java.util.concurrent.Future)`.
`java.lang.Class<T>` | `getType()` Get the class of the instance to receive for `FutureListener.onComplete(java.util.concurrent.Future)`.

Methods inherited from interface com.sun.jersey.api.client.async.FutureListener
`onComplete`

Method Detail

### getType

    java.lang.Class<T> getType()

  Get the class of the instance to receive for `FutureListener.onComplete(java.util.concurrent.Future)`.

  Returns:
    the class of the response.

### getGenericType

    GenericType<T> getGenericType()

  Get the generic type declaring the Java type of the instance to receive for `FutureListener.onComplete(java.util.concurrent.Future)`.

  Returns:
    the generic type of the response. If null then the method `getType()` must not return null. Otherwise, if not null, the type information declared by the generic type takes precedence over the value returned by `getType()`.

Copyright © 2017 Oracle Corporation. All Rights Reserved.